# custodian.nwchem.handlers module

This module implements error handlers for Nwchem runs. Currently tested only for B3LYP DFT jobs.

## class custodian.nwchem.handlers.NwchemErrorHandler(output_filename=’mol.nwout’)

Bases: `ErrorHandler`

Error handler for Nwchem Jobs. Currently tested only for B3LYP DFT jobs generated by pymatgen.

Initializes with an output file name.

- Parameters

  output_filename (str) – This is the file where the stdout for nwchem is being redirected. The error messages that are checked are present in the stdout. Defaults to “mol.nwout”, which is the default redirect used by `custodian.nwchem.jobs .NwchemJob`.

### check()

Check for errors.

### correct()

Correct errors